variable "hostname" {
  type    = string
  default = "fourlights.dev"
}

# Variables for Hetzner Cloud infrastructure module
variable "hcloud_token" {
  type        = string
  description = "Hetzner Cloud API token used to create infrastructure"
}

variable "hcloud_location" {
  type        = string
  description = "Hetzner location used for all resources"
  default     = "fsn1"
}

variable "hdns_token" {
  type        = string
  description = "Hetzner DNS API token used to create DNS records"
}

variable "prefix" {
  type        = string
  description = "Prefix added to names of all resources"
  default     = "quickstart"
}

variable "network_cidr" {
  type        = string
  description = "Network to create for private communication"
  default     = "10.0.0.0/8"
}

variable "network_ip_range" {
  type        = string
  description = "Subnet to create for private communication. Must be part of the CIDR defined in `network_cidr`."
  default     = "10.0.1.0/24"
}

variable "network_zone" {
  type        = string
  description = "Zone to create the network in"
  default     = "eu-central"
}

variable "instance_type" {
  type        = string
  description = "Type of instance to be used for all instances"
  default     = "cx32"
}


variable "aws_access_key_id" {
  description = "AWS Access Key ID for Vault KMS access"
  type        = string
}

variable "aws_secret_access_key" {
  description = "AWS Secret Access Key for Vault KMS access"
  type        = string
}

variable "aws_kms_key_id" {
  description = "AWS KMS Key ID for Vault KMS access"
  type        = string
}

variable "aws_region" {
  description = "AWS KMS Region for Vault KMS access"
  type        = string
  default     = "eu-central-1"
}
